Bug 1452941 - Removing vim-minimal package also removes sudo
Summary: Removing vim-minimal package also removes sudo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Sourada
QA Contact: Fedora Extras Quality Assurance
Jiří Vymazal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-20 19:45 UTC by Alexander Rodin
Modified: 2017-06-09 19:20 UTC (History)
8 users (show)

Fixed In Version: sudo-1.8.20p2-1.fc25 sudo-1.8.20p2-1.fc24 sudo-1.8.20p2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-08 06:53:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1418756 None None None Never

Internal Links: 1418756

Description Alexander Rodin 2017-05-20 19:45:30 UTC
Description of problem:

I tried to remove `vim-minimal` package in a newly installed Fedora 25 (in order to be install `vim-enchanced`). However this also removed `sudo` package, so that I became unable install or remove anything because I didn't set root password at the installation.

Version-Release number of selected component (if applicable):

    sudo-1.8.18-1.fc25.x86_64
    vim-minimal-2:7.4.1989-2.fc25.x86_64

How reproducible:

    sudo yum remove vim-minimal

Actual results:

Removes `vim-minimal` and `sudo` packages.

Expected results:

Removes only `vim-minimal` package, but keeps `sudo` installed.

Additional info:

Comment 1 Jiří Vymazal 2017-05-26 08:21:30 UTC
This is already fixed in rawhide, will be fixed with next sudo update in 25.

Comment 2 Fedora Update System 2017-06-01 12:36:30 UTC
sudo-1.8.20p2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b250ebe97

Comment 3 Fedora Update System 2017-06-01 12:37:11 UTC
sudo-1.8.20p2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-54580efa82

Comment 4 Fedora Update System 2017-06-01 12:37:35 UTC
sudo-1.8.20p2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-facd994774

Comment 5 Fedora Update System 2017-06-01 18:02:39 UTC
sudo-1.8.20p2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-facd994774

Comment 6 Fedora Update System 2017-06-01 18:06:17 UTC
sudo-1.8.20p2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-54580efa82

Comment 7 Fedora Update System 2017-06-03 02:36:24 UTC
sudo-1.8.20p2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-06-04 05:12:56 UTC
sudo-1.8.20p2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b250ebe97

Comment 9 Fedora Update System 2017-06-08 06:53:03 UTC
sudo-1.8.20p2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-06-09 19:20:57 UTC
sudo-1.8.20p2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.